blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
bfbcce6b35c4adf0732757cc4a399f1c4a743e7a
Shell
myshu2017-03-14/linux_nano_pipline
/2-reads_length_plots/plot_bar_of_reads_length_ITS_or_16S_for_lca.sh
UTF-8
3,062
3.828125
4
[]
no_license
#!/bin/bash #!/usr/bin/env bash #---------------------------------------------------------------+ # author: Myshu | # mail:1291016966@qq.com | # version:1.0 | # date :2018-5-23 ...
true
2b45e5a6ccc6200690df0469f9434b5aff382651
Shell
ampinzonv/biobash
/source/bb_fastq2fasta
UTF-8
360
3.625
4
[ "MIT" ]
permissive
#!/bin/bash #This script was adapted from: # https://bioinformaticsworkbook.org/dataWrangling/fastaq-manipulations/converting-fastq-format-to-fasta.html#gsc.tab=0 if [ -z "$1" ] ; then echo " bb_fastq2fasta: Converts fastq into fasta. Usage: bb_reformat_fastq2fasta [INPUT FILE] " fi #Read eve...
true
154a5beda861c2225535b5499a80d47535319481
Shell
emawind84/sensehat-discotest
/senseplot.sh
UTF-8
293
3.03125
3
[]
no_license
#!/usr/bin/env bash SCRIPT_BASE_PATH=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) SCRIPT_NAME="${0##*/}" export PATH=/home/pi/python_example/ipython/bin:$PATH set -e echo "Base path: $SCRIPT_BASE_PATH" echo "Script name: $SCRIPT_NAME" cd $SCRIPT_BASE_PATH python senseplot_es.py $1
true
cb067574ee48a8a5d5ae08f186221917dc5d6a95
Shell
xhaa123/blfs
/mld/alsa-plugin/01-alsa-plugin-1.2.2.sh
UTF-8
756
3.1875
3
[]
no_license
#!/bin/bash ${log} `basename "$0"` " started" blfs_all && ${log} `basename "$0"` " download" blfs_all && if test -d /sources/alsa-plugins-1.2.2 then rm -rf /sources/alsa-plugins-1.2.2 fi SCRIPT=`realpath $0` SCRIPTPATH=`dirname $SCRIPT` wget https://www.alsa-project.org/files/pub/plugins/alsa-plugins-1.2.2.tar.bz...
true
52b7575bd293b0a4d9e1db8d33e5ee75ea65aa72
Shell
microkernel2018/osdev-toolchains
/scripts/build-generic.sh
UTF-8
737
2.84375
3
[ "MIT" ]
permissive
#!/bin/bash function build_binutils { mkdir -p build/${TARGET} rm -rf "build/${TARGET}/build-binutils" mkdir -p "build/${TARGET}/build-binutils" pushd "build/${TARGET}/build-binutils" ../../../src/binutils-${BINUTILS_VERSION}/configure --target=${TARGET} --prefix="$PREFIX" --with-sysroot --disable-nls --disable-w...
true
956f38d53d63f91a8ef0fdd80e12e413c2219671
Shell
cbaoth/dotfiles
/bin/wget-p
UTF-8
6,425
4.03125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # wget-p: wget using gnu parallel # Author: Andreas Weyer <dev@cbaoth.de> # Keywords: bash shell-script wget parallel declare -r _SCRIPT_PATH="$(cd "$(dirname "$0")"; pwd -P)" declare -r _SCRIPT_FILE="$(basename "$0")" # include commons lib for f in {$_SCRIPT_PATH/,$_SCRIPT_PATH/lib,$HOME/lib}/...
true
838037026df9718e08a55260b674ae813527a195
Shell
caalver/AlertChecker
/ThreatDictionary.sh
UTF-8
1,202
3.34375
3
[]
no_license
#!/bin/bash #sets global variable 'scriptname' declare -A EventDictionary EventDictionary=([SERVER-APACHE Apache Struts remote code execution attempt]="Script1" [SERVER-ISS Microsoft ASP.NET bas request denial of service attempt]="Script2" [A Network Trojan was Detected]="NetworkTrojanEmail.sh" [OS-OTHER Bash CGI env...
true
d2aa96d543faf10d143d35c8b0895f989284bb9c
Shell
sirhill/nginx-https
/nginx/start.sh
UTF-8
967
3.453125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash echo -e "================ VARIABLES =================== DOMAIN=${DOMAIN} EMAIL=${EMAIL}" echo "=================================================" if [[ -z $DOMAIN ]]; then echo "DOMAIN is not defined. Exiting"; exit 1; fi if [[ -z $EMAIL ]]; then echo "EMAIL is not defined. Exiting"; ...
true
85626ad946d13e3cc35f8f7bce3df1a14a924ee9
Shell
sakabar/crawlBlog
/paste_bigram.sh
UTF-8
125
2.796875
3
[]
no_license
#!/bin/zsh file_name=$1 line=`cat $file_name | wc -l` paste <(head -n $[$line - 1] $file_name) <(tail -n +2 $file_name)
true
daf11cafefcc799ff649c81b28860818d5670a70
Shell
BiaoLiu/robo-docker
/swagger-ui/swag.sh
UTF-8
301
3.125
3
[]
no_license
#!/bin/bash echo "start gen swagger doc" if [ ! -d docs ]; then mkdir docs fi path="./docs/swagger.json" swagger generate spec -o $path echo "finish gen swagger doc" if [[ $1 = serve ]]; then echo "start swagger serve" swagger generate spec -o $path && swagger serve -F=swagger $path fi
true
c816cfb5be0df6c6b1d88dd1fe0af9cc6bcdc9a6
Shell
untoreh/trub
/functions.sh
UTF-8
6,422
3.84375
4
[]
no_license
#!/bin/bash shopt -s expand_aliases &>/dev/null cn="\033[1;32;40m" cf="\033[0m" printc() { echo -e "${cn}$@${cf}" } git_versions() { git ls-remote -t git://github.com/"$1".git | awk '{print $2}' | cut -d '/' -f 3 | grep -v "\-rc" | cut -d '^' -f 1 | sed 's/^v//' } pine_version() { git_versions untoreh/pine | sort...
true
67ef7630e6fd803e705cffa0865705e932c6580d
Shell
FriendlyUser/discord-assistant-bot
/setup_env.sh
UTF-8
368
2.78125
3
[]
no_license
#!/bin/bash # good old bash to .env files echo "NODE_ENV=$NODE_ENV" >> .env if [ "$1" == "" ]; then echo "MONGO_URI=$TEST_MONGO_DB" >> .env fi if [ "$1" != "" ]; then echo "Positional parameter 1 contains something" echo "DISCORD_TOKEN=$DISCORD_TOKEN" >> .env echo "MONGO_URI=$DEV_MONGO_DB" >> .env ...
true
46282ecf86bd435ba4fb89ac57b69cf01a532f34
Shell
0xicl33n/install-arch
/install.sh
UTF-8
2,520
2.734375
3
[ "MIT" ]
permissive
#!/bin/sh # Arch Linux Bootstrap Script # # See comments below for running # #no control-c fam sorry trap '' 2 #Get the disk if [ -b /dev/sda ]; then DISK="/dev/sda"; else DISK="/dev/vda"; fi # Partition all of main drive echo "n p 1 w "|fdisk $DISK # Format and mount drive mkfs -F -t ext4 $DISK"1" mount $DISK"1...
true
c375b8f417b231f810b894c210dac94735596537
Shell
liamdawson/kzn
/home/posix/.profile
UTF-8
271
3.21875
3
[]
no_license
#shellcheck shell=sh test ! -f "/etc/profile" || . /etc/profile test ! -f "${HOME}/.profile.local" || . "${HOME}/.profile.local" if test -d "${HOME}/.profile.d" then for i in "${HOME}"/.profile.d/*.sh do if test -r "$i" then . "$i" fi done fi
true
758f6fcfaa7343c637983d447d69512c187c3d17
Shell
Wenxue-PKU/script
/chip_seq/chip.sh
UTF-8
8,421
3.625
4
[]
no_license
#!/bin/bash # Boyuan_Li # Tue Feb 19 16:05:23 2019 # 写一个能够mapping,转成bigwig文件,还能去接头,call peak的脚本,这个脚本还应该有模块化的功能比如,去接头与质控,mapping与转bigwig,call peak就像hicpro一样; # 1. 质控 2.去接头 3. mapping 4. 转bigwig 5.call peak set -euo pipefail function helps { echo "" echo -e "Usage: $0 [options] -f <fastq1> -r <fastq2> -a <forward...
true
cd29482fcf7fb185e1201644dec81d33f4ab0afb
Shell
vcaropr1/EDICO_SCRIPTS
/Post_Single_Sample_Processing/DEVEL/A.01_DOC_AUTO_CODING.sh
UTF-8
1,550
2.75
3
[]
no_license
#$ -S /bin/bash #$ -q rnd.q,test.q,prod.q #$ -cwd #$ -V #$ -p -1000 set JAVA_1_7=$1 GATK_DIR=$2 REF_GENOME=$3 KEY=$4 CORE_PATH=$5 CODING_BED=$6 PROJECT=$7 SM_TAG=$8 # DNA_HASH_ADDRESS=$5 # MDNA_HASH_ADDRESS=$6 RIS_ID=${SM_TAG%@*} BARCODE_2D=${SM_TAG#*@} START_DOC_AUTO_CODING=`date '+%s'` ### --Remove X,Y,MT from ...
true
1ce2ba554b24ac6700d5ca679ce8f5bbdac951dd
Shell
NOAA-EMC/sref
/ush/sref_thin_post.sh
UTF-8
10,718
2.609375
3
[]
no_license
#!/bin/ksh ############################### # Note: This job is for raw SREF. There is another job called sref_ens_post.sh is # particularly for bias corrected SREF for the same purpose. # # change log: # 06/08/05, Jun Du: add multi-grids capability for SREF outputs as well as # the precipita...
true
33e52b0c1dd85b8bb4175f2d696aad7071341ff8
Shell
remfath/data-syncer
/common/params.sh
UTF-8
8,222
4
4
[]
no_license
#!/usr/bin/env bash # 处理时间字符串 CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source ${CURRENT_DIR}/datetime.sh source ${CURRENT_DIR}/color.sh source ${CURRENT_DIR}/../env.sh function usage() { echo -e "" echo -e " ${COLOR_CYAN}-t, --test${COLOR_END} 开启测试,启用该选项后打印开始时间和结束时间,不执行脚本" ...
true
b0a0dac9ac873e47c0307775d727fdf2b21e506b
Shell
meowstars/zsh-conf
/rc/06-directories.zsh
UTF-8
652
3.5
4
[]
no_license
# Directories options setopt AUTO_CD # Try to cd if the command can't be executed setopt AUTO_PUSHD # Make cd push the old directory onto the directory stack. setopt CHASE_LINKS # Resolve links and dots when cd setopt PUSHD_IGNORE_DUPS # Ignore duplicates in pushd setopt PUSHD_MINUS # invert cd - and cd + cd () { i...
true
d24436496da2d15e142c88b9ddbfb05134aac5f5
Shell
rasa/dotfiles-3
/.config/zsh/functions/first-in-fpath
UTF-8
493
3.578125
4
[]
permissive
#!/bin/zsh first-in-fpath() { # Stupid simple fpath expansion # TODO There has to be a better way than this to interrogate fpath lookups.. local ret=() local arg arg_ret for arg in "$@"; do arg_ret=(${^fpath}/$arg(.[1,1])) if [ "$#arg_ret" -ne 1 ]; then arg_ret=("$arg") ...
true
ddc74340c14fdab77a8fef6008f3bdd70269a3ed
Shell
heavenxing/MrCat
/ref_macaque/proc/bet_F99.sh
UTF-8
14,394
4.15625
4
[]
no_license
#!/usr/bin/env bash set -e # stop immediately on error # ------------------------------ # # usage # ------------------------------ # usage() { echo "" echo "Brain extract the F99 reference image based on McLaren reference." echo "" echo "example:" echo " `basename $0` --all" echo " `basename...
true
0859e69c6f9f43c8eeb32d35850301de606a379a
Shell
galp/ssb-server
/container-entrypoint
UTF-8
746
3.359375
3
[]
no_license
#!/usr/bin/env bash if [[ ! -f /ssb/.ssb/config ]]; then echo "Missing SSB config file, generating..." if [[ -z "${DOMAIN}" ]]; then echo "Please provide a \$DOMAIN variable" 1>&2 exit 1 fi mkdir -p /ssb/.ssb &&\ envsubst << EOF > /ssb/.ssb/config &&\ echo "Done!" || (echo "Fail" 1>&2 ; exit 2)...
true
fbb88f509720ae9dbcf9db3f13e4b4782148a394
Shell
elambert/honeycomb
/tools/buildinstalltest/start_flamebox_build.sh
WINDOWS-1252
2,068
3.03125
3
[]
no_license
#!/bin/bash # # $Id: start_flamebox_build.sh 10853 2007-05-19 02:50:20Z bberndt $ # # Copyright 2008, Sun Microsystems, Inc. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # # # Redistributions of source code must...
true
c92336fdd7fa70dedfbbcefc71dd5880964c51eb
Shell
containernetworking/cni
/scripts/priv-net-run.sh
UTF-8
434
3.25
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e if [[ ${DEBUG} -gt 0 ]]; then set -x; fi # Run a command in a private network namespace # set up by CNI plugins contid=$(printf '%x%x%x%x' $RANDOM $RANDOM $RANDOM $RANDOM) netnspath=/var/run/netns/$contid ip netns add $contid ./exec-plugins.sh add $contid $netnspath function cleanup() { ...
true
41f82e19a09d8d5d8dbf8390fa8e5573344d569e
Shell
caoyang-test/abc
/test29.sh
UTF-8
109
2.9375
3
[]
no_license
#!/usr/bin/bash # # V1=1 while true do echo $V1 V1=$((V1+1)) if [ $V1 -eq 6 ];then exit fi done
true
e3b1c2d99b8c5cf86d4caf16283baf0df4bdfcee
Shell
jplikesbikes/dotfiles
/.zshrc
UTF-8
3,976
2.6875
3
[]
no_license
# Lines configured by zsh-newuser-install HISTFILE=~/.histfile HISTSIZE=10000 SAVEHIST=10000 setopt appendhistory extendedglob unsetopt beep bindkey -v # End of lines configured by zsh-newuser-install # The following lines were added by compinstall zstyle :compinstall filename '/home/jp/.zshrc' fpath=($fpath ~/.zsh/co...
true
2b8a8c4e674987f7335ed290ece66b2e7fae21e1
Shell
Domino881/OI
/LIVE/day0/spr.sh
UTF-8
151
2.734375
3
[]
no_license
make pro && make check for i in {1..100}; do echo $(($RANDOM%10)) > in bin/pro < in > outx bin/check < outx > outb diff -s outb in || break done
true
6fc0434c70a650cef7e16360501f653185085feb
Shell
u1i/yoisho
/yoisho-loan/push-release.sh
UTF-8
323
2.625
3
[ "MIT" ]
permissive
if [ $# -lt 2 ] then echo "run $0 image release" echo "$0 e9700768b6a3 0.14" exit fi docker_image=$1 release=$2 imagename=yoisho-loan docker tag $docker_image u1ih/$imagename:$release docker tag $docker_image u1ih/$imagename:latest docker login docker push u1ih/$imagename:$release docker push u1ih/$imagename:late...
true
e97b26eec456ba34d7fb632eb9af64288cb30366
Shell
leozd1/vector
/victor-clad/tools/message-buffers/emitters/tests/javascript/simpletest.sh
UTF-8
1,400
2.8125
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash # # Copyright 2015-2018 Anki Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
true
917869281736de643d2deb17a5e4173d9154d8b3
Shell
haskoin/haskoin-core
/scripts/release
UTF-8
640
3.4375
3
[ "MIT" ]
permissive
#!/bin/sh find() { local thing="$1" perl -lnE "say if s/^\\s*$thing:\\s*([^\\s]+)\\s*\$/\\1/" package.yaml } if [[ ! -f package.yaml ]] then echo "No package.yaml present" >&2 exit 1 fi package="$(find name)" ver="$(find version)" if [[ -z $package || -z $ver ]] then echo "No package or version found" e...
true
1f84e4acc0eb674edb439338666fdca8cec21f4f
Shell
railsmine/scripts
/bash/abandoned/install-tracks.sh
UTF-8
3,744
3.84375
4
[]
no_license
#!/bin/bash # ============================================================================================================================== # # This script installs a tracks instance, assuming rvm is installed with proper support. Also, generate some code for Passenger # This script requires RVM (currently, user-base...
true
bfcfdebceb2280af7e9f7fb27435e971fe242059
Shell
radix-r/toDoOrg
/orgScript.bash
UTF-8
844
3.890625
4
[]
no_license
#!/bin/bash read -p 'To-Do file to organize: ' fName echo "Starting to-do organizer on $fName" #create reference file. If target differers from reference run `touch ref.txt` #in case something goes wrong keep the previous version `touch prev.txt` while true; do bool_run=0; #use makefile echo "Compiling" ...
true
ff6c447451deb1749aedfdd5aa4f693179c0daeb
Shell
ftzm/scripts
/open_emacs.sh
UTF-8
294
3.25
3
[]
no_license
# return a list of all frames on $DISPLAY emacsclient -e "(frames-on-display-list \"$DISPLAY\")" &>/dev/null # open frames detected, so open files in current frame if [ $? -eq 0 ]; then emacsclient -n -t $* # no open frames detected, so open new frame else emacsclient -n -c $* fi
true
761ffef0c99f7b594bc1d9b971fb94dd497981f9
Shell
dozent2018/IFA_LINUX_DEV
/trapdemo2.sh
UTF-8
556
3.65625
4
[]
no_license
#!/bin/bash # trapdemo2.sh : fängt verschiedene Signale mit trap und einer Funktion ab handler_function() { if (( count == 0 )); then echo Erstes Mal rm $tmpfile (( count ++ )) else echo Zweites Mal, Beenden exit fi...
true
4b12655942cf708e144c01edf52adc1e72f67161
Shell
MegaMosquito/achatina
/helper
UTF-8
3,120
4.34375
4
[ "MIT" ]
permissive
#!/bin/bash # # A helper script to simplify the collection of a few host-specific items... # # ./helper -a # - returns the appropriate hardware architecture for use with open-horizon # ./helper -g # - returns the IP address of the first default gateway for this host # ./helper -i # - returns an IP address on the ...
true
e756bf8d7e0ab7979c1a7deaca6fe44d2092d210
Shell
erinmaz/MRGFUS
/analysis_Kwon_ROIs_probtrackx_lesionterm_split_tracts_ants.sh
UTF-8
6,338
2.640625
3
[]
no_license
#!/bin/bash #I think this is essentially working for 9001_SH. Need to carefully check for pts with lesion on other TREATED_DENTATE. need to think about making the ROIs less scanty (I think I am losing some voxels to rounding, although perhaps that's good because it prevents overlap?) MAINDIR=/Users/erin/Desktop/Proj...
true
4c35022f9a6a63d1428332756dfa48d0f77b2d2a
Shell
thorsteinsson/setup
/setup.sh
UTF-8
673
3.46875
3
[]
no_license
#!/usr/bin/env bash xcode-select --install # Oh my Zsh sh -c "$(curl -fsSL https://raw.github.com/robbyrussell/oh-my-zsh/master/tools/install.sh)" echo "Configuring OS…" source ".macos" echo "Installing apps…" source "apps.sh" cd "$(dirname "${BASH_SOURCE}")"; git pull origin master; function doIt() { ln -sfv "...
true
9cc5fddf07b384683f112832f3b0c416f259efee
Shell
aahutsal/docker-intellij
/run
UTF-8
886
3.359375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash function delayedPluginInstall { sudo mkdir -p /home/developer/${INTELLIJ_VERSION}/config/plugins sudo mkdir -p /home/developer/${INTELLIJ_VERSION}/config/options sudo chown developer:developer -R /home/developer/${INTELLIJ_VERSION} cd /home/developer/${INTELLIJ_VERSION}/config/plug...
true
481365a7bad5efe74cdb092de2cc5127dc1ac806
Shell
juanjavier101/kubernetes-vagrant-cluster-experiments
/setup-master.sh
UTF-8
566
2.90625
3
[ "MIT" ]
permissive
export cidr='10.244.0.0/16' export masterip=`ip addr show eth0 | grep "inet\b" | awk '{print $2}' | cut -d/ -f1` kubeadm init --pod-network-cidr=$cidr export digest=`openssl x509 -pubkey -in /etc/kubernetes/pki/ca.crt | openssl rsa -pubin -outform der 2>/dev/null | openssl dgst -sha256 -hex | sed 's/^.* //'` export to...
true
d92688c5daefae246cfeefef28c9c57506259c51
Shell
JochenHayek/ldapsearch
/ldapsearch.sh
UTF-8
853
2.5625
3
[]
no_license
: # $ env ldap_password='...' ldapuri='...' ldap_binddn='...' ldap_searchbase='...' ~/git-servers/github.com/JochenHayek/ldapsearch/ldapsearch.sh # $ env ldap_password='...' ldapuri='...' ldap_binddn='...' ldap_searchbase='...' ~/git-servers/github.com/JochenHayek/ldapsearch/ldapsearch.sh > ~/transfer/ldap.$( date '+...
true
d16407241215025d4f349f4449d5823a46958136
Shell
srcshelton/gitlog2dcl
/gitlog2dcl.sh
UTF-8
7,219
3.625
4
[ "MIT" ]
permissive
#! /bin/bash # ----------------------------------------------------------------------------- # # Copyright (c) 2016 Stuart Shelton. # Copyright (c) 2016 Hewlett Packard Enterprise Co. # # Permission is hereby granted, free of charge, to any person obtaining a copy # of this software and associated documentation files ...
true
ed41f874cd53ecfb52db6875deed3e27278a7fb5
Shell
Frihet/qnap-snmpd
/qpkg/qconfig.sh
UTF-8
902
3.40625
3
[]
no_license
#! /bin/sh _exit() { /bin/echo -e "Error: $*" /bin/echo exit 1 } QPKG_DIR="$(/usr/bin/dirname "$0")" source $QPKG_DIR/environ.sh case "$1" in start) if [ -f $QPKG_DIR/snmpd.conf.orig ]; then _exit "${QPKG_NAME} is already enabled." fi $CMD_ECHO "Enable SNMPD" $CMD_IPKG install...
true
3fbe46131f0eb4d23a05d840b8989ebd01276f24
Shell
keleustes/airship-treasuremap
/tools/airship
UTF-8
4,720
3.75
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Copyright 2019 AT&T Intellectual Property. All other rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2....
true
3e8da9e8ebc4193df3a9380ad60996f949e8b6e9
Shell
natforsdick/Weta_GBS
/04_stacks_populationsb.sl
UTF-8
1,570
3
3
[]
no_license
#!/bin/bash -e #SBATCH -J stacks_pop #SBATCH -A ga03186 #SBATCH --time=01:45:00 #SBATCH --mem=100M #SBATCH --cpus-per-task=4 #SBATCH --out=%x.%j.out #SBATCH --err=%x.%j.err #SBATCH --mail-type=FAIL,END #SBATCH --mail-user=forsdickn@landcareresearch.co.nz ############ # 04_stacks_populations.sl # Nat Forsdick, 2021-01-...
true
94739b2c7102eae3c4a5718064b351435052b724
Shell
kbairak/dotfiles
/bin/txcompress
UTF-8
562
2.78125
3
[]
no_license
#!/usr/bin/env bash if [ -f /tmp/txcompress_lock ]; then echo "Compressor locked" exit fi touch /tmp/txcompress_lock echo -n 'Collecting static... ' && /Users/kbairak/devel/env/tx/bin/python\ /Users/kbairak/devel/repos/transifex/txc/manage.py collectstatic --noinput\ > /dev/null 2> /dev/null && echo 'don...
true
8e8797d4305695a52a792cbc8a1148b5271a138f
Shell
jgurnett/code2pdf
/code2pdf.sh
UTF-8
425
2.9375
3
[]
no_license
#!/bin/bash #----------------------------------------------------------------------------- # Author: Joel Gurnett # The script coverts code to pdf so that you can print out your code files #----------------------------------------------------------------------------- fd=$1 name=$2 enscript --title $fd\ -B -2rGE $fd ...
true
472a92b3a06ac7b81a0ecd6aea0f79e5d0e4e937
Shell
greatedadventure/dotrc
/zshrc
UTF-8
1,526
2.796875
3
[]
no_license
# load version control info: autoload -Uz vcs_info zstyle ':vcs_info:*' enable hg git zstyle ':vcs_info:hg*' formats "(%s - %r/%b)" zstyle ':vcs_info:hg*' actionformats "(%s|%a - %r/%b)" [ -f ${ZDOTDIR:-$HOME}/.zprezto/runcoms/zshrc ] && { source ${ZDOTDIR:-$HOME}/.zprezto/runcoms/zshrc } setopt NO_BANG_HIST se...
true
3857836dd04bf921799d1813537efe4fcfdf0c03
Shell
Khawaja-Usman-Riaz-Sehgal/Shell_Scripting_Tasks
/task4.sh
UTF-8
1,320
4.40625
4
[]
no_license
#!/bin/bash echo echo "Task is to create a script that creates a backup ( in /home/) of all .c files present in a directory (given by user as a command line argument)" echo "Create a backup directory if it doesn't exist." echo "If it exist:" echo "If there have been changes to the file since the last backup, then co...
true
136c853e2e7102f503734f0b51d79048a19a961e
Shell
martin0258/instragram-plus
/src/libmf.sh
UTF-8
713
3.296875
3
[]
no_license
#!/bin/sh set -e # Define library folder location. LIBMF=../lib/libmf-1.1/libmf # Define data set location. SUBTRAIN=../data/libmf/subtrain VAL=../data/libmf/val TEST=../data/libmf/test # Build (make) libmf executable if it does not exist. if [ ! -f $LIBMF ]; then echo "File $LIBMF does not exist. Building it fir...
true
84c516f1b8de76a836bc69f22c77915c3a813a69
Shell
alexandrebignalet/skull-king
/bin/stop-firebase-emulator
UTF-8
184
3.109375
3
[]
no_license
#!/bin/bash # Stop firebase emulator PID_DB=$(lsof -t -i :9000 -s tcp:LISTEN) if [ ! -z "$PID_DB" ]; then echo "Stopping mock Firebase Realtime Database server" kill "$PID_DB" fi
true
1ba5e38cbbd60ebe0507d2ca4190ac6e843a3e3c
Shell
adam-s/simplejobs
/bin/build.sh
UTF-8
653
3.28125
3
[]
no_license
#!/bin/bash # Move config files outside the scope of git which doesn't track them cp -rf server/config/environment ~/WebstormProjects/config # Make sure we are working with the master branch git checkout master # Push latest commit to GitHub # git add . # printf "Commit message: " # read -r message # git commit -m "...
true
28470233c6a427e17245ec0529307f175ed859f7
Shell
juniorgasparotto/Scripts
/openshift/commands/pods
UTF-8
1,064
2.78125
3
[]
no_license
#!/bin/bash # Obtem todos os pods de todos os namespaces oc get pods --all-namespaces # Lista todas as PODs oc get pods # Lista todas as PODs com mais informações (wide = largo) oc get pods -o wide # Criar uma POD por arquivo oc create pod -f [file-path.yml] # Delete todas as pods de um namespace oc delete --all p...
true
621a06a748b47f7998edbfcf744141b2c978162c
Shell
FirmaChain/tendermint
/scripts/install/install_tendermint_arm.sh
UTF-8
932
3.28125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash REPO=github.com/tendermint/tendermint # change this to a specific release or branch BRANCH=master GO_VERSION=1.12 sudo apt-get update -y # get and unpack golang curl -O https://storage.googleapis.com/golang/go$GO_VERSION.linux-armv6l.tar.gz tar -xvf go$GO_VERSION.linux-armv6l.tar.gz # move go ...
true
605ba7f7a64a3fc51691b4a23f0af41572a753d0
Shell
KireinaHoro/cluster-deploy
/util.sh
UTF-8
1,746
3.40625
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash # # Copyright 2019 Pengcheng Xu <i@jsteward.moe> # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # https://www.apache.org/licenses/LICENSE-2.0 # # Unless required...
true
320544e21a4e67fde23e0f068faf9da75cc7d760
Shell
lberk/release
/ci-operator/step-registry/aws/provision/bastionhost/aws-provision-bastionhost-commands.sh
UTF-8
14,254
3.4375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -o nounset set -o errexit set -o pipefail trap 'CHILDREN=$(jobs -p); if test -n "${CHILDREN}"; then kill ${CHILDREN} && wait; fi' TERM export AWS_SHARED_CREDENTIALS_FILE="${CLUSTER_PROFILE_DIR}/.awscred" curl -L https://github.com/mikefarah/yq/releases/download/3.3.0/yq_linux_amd64 -o /tmp/yq && chm...
true
a690d676b214c524af86d066c2317d9e0f752992
Shell
GSA/project-open-data-dashboard
/docker/wait_for_db
UTF-8
179
2.890625
3
[ "LicenseRef-scancode-us-govt-public-domain", "MIT", "CC0-1.0", "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash -e MAX=10 SLEEP=2 for i in `seq 1 $MAX`; do (echo 2>/dev/null > /dev/tcp/database/3306) && exit 0 echo "Startup: Waiting for MySQL..." sleep $SLEEP done exit 1
true
ca1b9da8df732c52a4680e3934c1b2f82f3e9ecd
Shell
pupamanyu/professional-services
/examples/terraform/druid-migration/cloudsql/dataproc_init.sh
UTF-8
466
2.546875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash ROLE=$(/usr/share/google/get_metadata_value attributes/dataproc-role) if [[ "$${ROLE}" == 'Master' ]]; then gsutil cp /etc/hadoop/conf/core-site.xml gs://${bucket}/config/ gsutil cp /etc/hadoop/conf/hdfs-site.xml gs://${bucket}/config/ gsutil cp /etc/hadoop/conf/mapred-site.xml gs://${bucket}/config/ ...
true
9acbfbb753e557c8ae68b112a76b0e9f27476b35
Shell
MAIF/otoroshi
/scripts/tools/docker-bench.sh
UTF-8
1,184
2.75
3
[ "Apache-2.0" ]
permissive
#!/bin/sh # # sudo apt-get update && sudo apt-get install git -y && git clone https://github.com/MAIF/otoroshi.git otoroshi && cd ./otoroshi && sh ./scripts/docker-bench.sh # # or # # mkdir -p /tmp/otoroshi-bench # cd /tmp/otoroshi-bench # sudo apt-get update && sudo apt-get install git # git clone https://github.co...
true
bcb4dcf731fda936105bab96816bbf0906600dc0
Shell
allprojects/thesis-consyst-operation-types
/demos/eshop/run-artifact.sh
UTF-8
1,170
3.484375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash CLASS_NAME='de.tuda.stg.consys.demo.eshop.EShopBenchmark' JAR_NAME='target/eshop-2.0.0-allinone.jar' N_PROCS=`seq 0 8` # Executes a benchmark on N_PROCS hosts function executeBench() { echo Run configuration $1 with $2 # run processes and store pids in array for i in ${N_PROCS}; do java -cp "...
true
0566d43c06e041da814c26ebb153a0123587b654
Shell
elizabethcook21/UPHL
/URF_scripts/cgpipeline_multiqc.sh
UTF-8
283
2.515625
3
[]
no_license
#!/bin/bash out=$1 grep avgReadLength $out/cg-pipeline/*.out.txt | sort | uniq | head -n 1 | cut -f 2- -d ':' > $out/cg-pipeline/cg-pipeline-summary.txt grep -v "avgReadLength" $out/cg-pipeline/*.out.txt | cut -f 2- -d ':' | sort | uniq >> $out/cg-pipeline/cg-pipeline-summary.txt
true
b0e941f2f3d230529c1f78219621cf14a1a6bbc4
Shell
fefa4ka/NNN
/test/run_test.sh
UTF-8
325
3.171875
3
[]
no_license
echo "Runnig unit tests:" echo "------------------\n" for i in test/*_test do if test -f $i then if $VALGRIND ./$i 2>> test/process.log then echo "\n----------" else echo "[FAILED] ./$i: Read more test/process.log\n" fi fi echo "" done ec...
true
a4ab3aa55d069d709bb2b7fe66e5302d11027f88
Shell
dev-dull/prog
/prog
UTF-8
1,688
4.34375
4
[]
no_license
#!/bin/bash tty -s e=$? if [ $e -eq 0 ]; then # don't manually specify the tty file since it is already known. term_size=`stty size | grep -Eio "[0-9]+$"` else # find our tty -- if we call this script from another script, the TTY gets lost and we can't get the terminal size. # this logic just makes a decent g...
true
69df21d1c5d2220b332ee1af84b380ef85b734ba
Shell
umr1085-irset/toxsign_v2
/tools/run_cluster_dist/run_cluster_dist.sh
UTF-8
609
3.34375
3
[ "MIT" ]
permissive
#!/bin/bash # This script # 1) Input folder with sign.tss file, + method.RData # 2) Signature name # 2) Output file with full path set -e # Source env first CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" if [ $# -lt 3 ] then echo "Less than tree argument supplied. Stopping.."...
true
3cb8f05295196eb873af4bbd8c0022a7e8a4b41a
Shell
zer010101/AppSTARTer
/.scripts/pm_apt_install.sh
UTF-8
5,091
3.546875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -euo pipefail IFS=$'\n\t' pm_apt_install() { local APPNAME=${1:-} local APPDEPENDENCYOF=${2:-} local REDIRECT="> /dev/null 2>&1" if [[ ${CI:-} == true ]]; then REDIRECT="> /dev/null" fi if [[ ${APPNAME} != "" ]]; then local UPDATE_APT local SOURCE...
true
589b118c3375641d014a8e4c9cc91df89aed0247
Shell
jotaki/blasphemy
/src/rgb-display/rgb-display.sh
UTF-8
143
2.625
3
[]
no_license
#! /bin/bash tmpfile=$(mktemp) cat <<EOF > "$tmpfile" <html><body bgcolor="#${1:-000000}"></body></html> EOF ${browser:-firefox} "$tmpfile"
true
883a99672bed7850558ca2d086d32b923f9f258c
Shell
henryfung3a27/ChameleonMini
/Software/start.sh
UTF-8
254
3.671875
4
[ "BSD-3-Clause", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/sh # start.sh # Usage: # $ start.sh <port> echo "In picocom, press C-a C-x to exit" if [ -n "$1" ]; then echo "Connecting to $1" picocom -c $1 else echo "Port not supplied. Connecting to /dev/ttyACM0 now..." picocom -c /dev/ttyACM0 fi
true
689907cd758dad9f52270276d71766f2d8360339
Shell
kellyuw/Preprocessing
/RegisterANTs-MNIToFunc-Image.sh
UTF-8
3,453
3.546875
4
[]
no_license
#!/bin/bash -X #Register image with ANTs (MNI to func) if [ $# -lt 2 ]; then echo echo "bash RegisterANTs-MNIToFunc-Image.sh <full path to MNI image> <full path to func image> <output(optional)>" echo exit 1 fi #Set ANTSpath ANTSpath=/usr/local/ANTs-2.1.0-rc3/bin/ export ANTSPATH=${ANTSpath} MNI_IMAGE=$1 FUNC_...
true
d37ce32396609fe1d056f02f80a57dc0979799db
Shell
lorenzogrv/autotest
/install
UTF-8
838
3.453125
3
[]
no_license
eche () { echo "$@" >&2; } fail () { eche "$@"; exit 1; } file="autotest" file="$(readlink -f "$file")" test -x "$file" || fail "Fatal: $file is not an executable file" # Installation path for all envs (aka 'standard') BIN_PATH="/usr/local/bin" # override path for 'termux' environments type termux-info &>/dev/null ...
true
ff5758460c2497df2f49837d0d6c5b5be67259b3
Shell
mjscosta/packer-ubuntu
/scripts-1604/vmware.sh
UTF-8
755
2.765625
3
[ "MIT" ]
permissive
# Install open-vm-tools so we get basic stuff like apt-get install -y open-vm-tools # Install the Linux headers apt-get -y install build-essential linux-headers-$(uname -r) # Install the VMware Fusion guest tools so shared-folders work. If / when this is # added to open-vm-tools we can remove this. cd /tmp mkdir -p /...
true
e5c5b6aaf22780a0445ea8e2d5f8b02e22b97465
Shell
BoatData/pi_config
/scripts/install_wifi_ap.sh
UTF-8
1,033
3
3
[ "Apache-2.0" ]
permissive
# configure the pi wifi access point base=/home/boatdata/pi_config sudo apt-get install dnsmasq hostapd sudo systemctl stop dnsmasq sudo systemctl stop hostapd # configure the network IP cat >${base}/config/wlan0.conf<<heredoc allow-hotplug wlan0 iface wlan0 inet static address 192.168.1.1 netmask 255.255.2...
true
36162c3b54182a403898fb92d985cfc6176eed48
Shell
DanielAW/dotFiles
/scripts/go_startstop.sh
UTF-8
95
2.609375
3
[]
no_license
#!/bin/bash if [ $1 == "reboot" ]; then reboot elif [ $1 == "halt" ]; then poweroff fi
true
acddaf506beca86c69f97508df3868925366c5e4
Shell
prashanth-p/My-Shell-Codes
/publisher_report/pub_report_gen.sh
UTF-8
15,026
3.21875
3
[]
no_license
###################################################################### # Author: Prashanth # Created on: Thu Jul 2 07:21:33 EDT 2020 # Purpose: To Generate Status Report of Publisher ###################################################################### # Global Variable Definition export EMAIL_TIMESTAMP=`date '+%d-%...
true
bafcda58eba97281c47e5d39cebc62d685b69733
Shell
sjpi/cloudflare-backup
/cfbkup.sh
UTF-8
2,119
3.4375
3
[]
no_license
#!/bin/bash # Licensed under GPLv3 # created by "black" on LET # please give credit if you plan on using this for your own projects # https://github.com/blackdotsh #TODO: # -add subdomain support # -switch back to main IP when the main server is online # -maybe add more reliable detection methods or even integrate oth...
true
3b234a2af8edaf19f961307a3cf075486b19074e
Shell
atoledo/spry_framework
/vendor/git/git.bash
UTF-8
2,789
4
4
[]
no_license
#!/usr/bin/env bash function git_clone_only() { local _GIT_CLONE_REPO_URL=${1:-} local _GIT_REPO_PATH=${2:-} if [ -z "${_GIT_CLONE_REPO_URL}" ]; then raise RequiredParameterNotFound "[git_clone_only] Please provide a valid repository" fi out_info "Cloning repository: [ ${_GIT_CLONE_REPO_URL} ]." 1 ...
true
b1cf2056918d889d121367f75caf2c582dc57fa5
Shell
prakashsurya/dotfiles
/ansible/roles/dot-base/files/home/user/.local/bin/vpn
UTF-8
751
3.3125
3
[]
no_license
#!/bin/bash -eu function die() { echo "ERROR: $@" >&2 exit 2 } if [[ "$1" == "update" ]]; then [[ -n "$DELPHIX_OTP" ]] || die "DELPHIX_OTP variable is missing" NEW=$(oathtool --totp -b "$DELPHIX_OTP") [[ -z "$NEW" ]] && die "failed to get new OTP token" sudo sed -i "s/^\(password = [[:alnum:]]\{9\}\).*$/\1$NE...
true
051dc099ff0fadd443274cc3a79c2f25fbcca8a6
Shell
m-lab/mlab-vis-pipeline
/run_bq.sh
UTF-8
2,764
3.984375
4
[]
no_license
#!/bin/bash # Run all parts of the pipeline with a provided end date. # options: # -s <YYYY-MM-DD>: start date to run pipeline from. # -e <YYYY-MM-DD>: end date to run pipeline to. # -m staging|production|sandbox: environment to use # -t : to do a test run (doesn't start dataflow) set -e set -x set -u us...
true
4e0ed921999b0038fcedc2888d1e0b3776414baa
Shell
bigfunorama/cgrex
/cgc_pin_tracer/test.sh
UTF-8
578
3.1875
3
[]
no_license
#!/bin/sh echo "test.sh START" PORT=10000 #a problem is that we cannot have any output from pin #not to interfere with the testing nc -e ./pin_wrap.sh -l 127.0.0.1 -p $PORT & PID=$! #wait for nc opening the port netstat -ltun | grep ":$PORT" > /dev/null STATUS=$? while [ $STATUS -eq 1 ] do sleep 1 netstat -ltun | gr...
true
d3536c3509916e795bf38136609eb3c06b9c46f4
Shell
InnovAnon-Inc/HafrenHaver
/new/run.sh
UTF-8
475
2.640625
3
[ "Unlicense", "LicenseRef-scancode-unknown-license-reference", "LicenseRef-scancode-public-domain" ]
permissive
#! /usr/bin/env bash set -euxo pipefail (( ! $# )) (( $UID )) export CC=mpicc PV=$(python3 --version|cut -d\ -f2|cut -d. -f2) CFLAGS=$(python3-config --cflags) LDFLAGS=$(python3-config --ldflags) python3 setup.py build_ext --inplace $CC $CFLAGS \ -DNPY_NO_DEPRECATED_API...
true
deb019b41e89b7cbf21a5fc8f7ceb3688bb40778
Shell
ed9e/i3blocks-docker-containers
/services.bash
UTF-8
538
3.578125
4
[]
no_license
#!/bin/bash FILE_TMP="/tmp/.services" INTERVAL=25 LIST="" if [[ ! -f $FILE_TMP ]] || (( `date +%s` - `stat -c %Y $FILE_TMP` > $INTERVAL )); then all=$(rancher ps -a | grep "ebo/" | awk '{print $3}' | awk -F '/' '{print $2}' | sort) active=$(rancher ps | grep "ebo/" | awk '{print $3}' | awk -F '/' '{print $...
true
db20ba6c1f85ac4ff5b3a08d9746877b122b184f
Shell
AzusaOS/azusa-opensource-recipes
/sys-libs/libselinux/libselinux-3.5.sh
UTF-8
534
2.6875
3
[]
no_license
#!/bin/sh source "../../common/init.sh" get https://github.com/SELinuxProject/selinux/releases/download/${PV}/${P}.tar.gz acheck importpkg sys-libs/libsepol CPPFLAGS="${CPPFLAGS} -DPIE -fPIE -fno-semantic-interposition -Wno-stringop-truncation" LDFLAGS="${LDFLAGS} -pthread" cd "${S}" MAKEOPTS=( USE_PCRE2=y CC="g...
true
397a8d189c213318632b25993494914650aa2d61
Shell
forkdump/wikitopics
/src/pageviews/sub_extract_pageviews.sh
UTF-8
3,770
3.609375
4
[]
no_license
#$ -S /bin/bash #$ -j y #$ -cwd #$ -V #$ -q all.q@* #$ -l mem_free=1G #$ -o /export/a05/wikitopics/src/pageviews/log/ echo "$HOSTNAME:`pwd`\$ $0 $*" if [ $# -lt 3 ]; then echo "usage: `basename $0` [LIST_FILE|PAGE_TITLE] YEAR MONTH [DAY [HOUR]] [OUTPUT_PATH]" exit fi DELETE_LATER= if [ ! -e "$1" ]; then LIST_FILE=...
true
36b47d38a89003ef8e234563ad0514e59d21313f
Shell
xiongbolu/hwxreposetup
/SetupLocalDebianAmbariHDPRepo.sh
UTF-8
7,169
3.875
4
[ "MIT" ]
permissive
#! /bin/bash # Below script sets up an local debian repo using apache web service with Ambari and HDP binaries # that are mirrored from HWX repo for a given Ambari and HDP stack version and HDP UTILS version #Example of all input params #AMBARI_REPO_URL=http://private-repo-1.hortonworks.com/ambari/ubuntu16/2.x/up...
true
1fb065ed8b5243e0f280a81c2a0f44ad0cd45824
Shell
amouat/xsd-validator
/xsdv.sh
UTF-8
196
3.078125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # call xsdv #First find out where we are relative to the user dir callPath=${0%/*} if [[ -n "${callPath}" ]]; then callPath=${callPath}/ fi java -jar ${callPath}lib/xsdv.jar "$@"
true
599e6958ff261a34c84bcc2b0d1285208ff114c5
Shell
e-takeda/kenshu
/minny6/restore/shell/mkmeibo
UTF-8
177
2.828125
3
[]
no_license
#!/bin/sh while : do echo -n 'name? ' read name case $name in end) break ;; esac echo -n 'tel number? ' read tel echo "$name $tel" >> meibo done
true
4c1e5d1c7ea2fe3f202f92a571ae7c07e8b82454
Shell
TritonDataCenter/kafka-connect-manta
/misc/zk-copy-config.sh
UTF-8
772
3.46875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash source $(dirname "$0")/zk-common PROGRAM_NAME=$(basename "$0") if [ "$#" -eq 0 ]; then echo "Usage: $PROGRAM_NAME ZK_INSTANCE..." exit 1 fi ZK_HOSTS=("$@") ZK_HOSTS_ADDRESS=() cfg=$(mktemp -t zoo.cfg.XXXXXXXXXX) trap "rm -f $cfg" EXIT cat > "$cfg" <<EOF tickTime=2000 dataDir=/var/lib/zookeepe...
true
6c08ea935821cfe88c844282c2a9bb7117ca70a5
Shell
BillTheBest/raspberry-iceweasel
/install.sh
UTF-8
1,570
2.796875
3
[]
no_license
#IceWeasel browser specific echo "----- update system" sudo apt-get update echo "----- installing iceweasel" sudo apt-get -y install iceweasel #run iceweasel to create a profile iceweasel echo "----- installing iceweasel config" #Grab default profile directory name and add user.js file - that disables recovery on crash...
true
04d7244ed49eb6ad3c68a80bc8940fcf632f887d
Shell
bottkars/azs-concourse
/ci/scripts/scale-aks.sh
UTF-8
1,731
2.75
3
[]
no_license
#!/bin/bash set -eu echo "${CA_CERT}" >> ${AZURE_CLI_CA_PATH} # beware in "" for keep as single literal #az cloud register -n AzureStackUser \ #--endpoint-resource-manager ${ENDPOINT_RESOURCE_MANAGER} \ #--suffix-storage-endpoint ${SUFFIX_STORAGE_ENDPOINT} \ #--suffix-keyvault-dns ${VAULT_DNS} \ ##--profile ${PROFILE} ...
true
a2cba6fd7077f37f15ca97f86e959bfe9e0a7825
Shell
solutionDrive/sdSwPluginManager
/etc/scripts/test/installShopware.sh
UTF-8
1,586
3.171875
3
[ "MIT" ]
permissive
#!/usr/bin/env sh SHOPWARE_VERSION=5.4.6 SHOPWARE_URL=http://releases.s3.shopware.com.s3.amazonaws.com/install_5.4.6_f667f6471a77bb5af0c115f3e243594e6353747e.zip if [ -z "${PROJECT_HOME}" ]; then echo "$$PROJECT_HOME must be set!" exit 1 fi DB_HOST=mysql DB_PORT=3306 DB_USERNAME=root DB_PASSWORD=root DB_DATA...
true
1bd08f3c4928c2978737d1cfb5fe6ea7d3ece157
Shell
xandriatiu/Post-it-later
/bin/sync_dev.sh
UTF-8
849
3.5625
4
[]
no_license
#!/bin/bash PROJECT_NAME='' SCRIPT_SOURCE=`dirname "$BASH_SOURCE"` PROJ_DIR=$SCRIPT_SOURCE/.. ENV_DIR=$SCRIPT_SOURCE/../../env echo 'FETCHING LATEST CHANGES...' git fetch upstream echo 'MERGING LATEST CHANGES TO DEV...' git rebase upstream/dev echo 'CHECKING VIRTUAL ENVIRONMENT...' if [ -x "$(command -v deactivat...
true
799ef2a24ec8d58faea682858151bd9d13abb7fa
Shell
sqaxomonophonen/femtopus
/tools/exporters/export_lump.sh
UTF-8
190
2.890625
3
[]
no_license
#!/usr/bin/env bash if [ -z "$1" ] ; then echo "usage: $0 <lump.blend>" > /dev/stderr exit 1 fi dir="$( dirname "${BASH_SOURCE[0]}" )" blender -noaudio -b $1 -P $dir/export_lump.py -- $2
true
3fc5e274d4ce364ef134998c8ec32659202dc7c8
Shell
pangr/testing
/shiyan3.sh
UTF-8
1,516
3.71875
4
[ "MIT" ]
permissive
#!/bin/bash MYDATE=`date +%d/%m/%Y` MYHOST=`hostname -s` USER=`whoami` tput clear cat <<MAYDAY _____________________________________________________________________________ User: $USER Host: $MYHOST Date: $MYDATE _____________________________________________________________________________ ...
true
72d3748c2b074cff042372d0e848cf4e168eec98
Shell
biocodellc/ppo-data-pipeline
/run.sh
UTF-8
564
2.921875
3
[]
no_license
PROJECT=$1 if [[ -z $PROJECT ]] then echo "Usage: non_docker_run.sh {PROJECT}" echo "" echo "This bash script runs the pipeline for any INPUT_DATAFILE and places output in the specified OUTPUT_DIRECTORY." exit 0 fi echo "processing incoming data file data/$PROJECT/processed/data.csv" pyt...
true
956c643eae1807de2907e73a74421c3ab7c795d1
Shell
tarwinmuralli/dotfiles
/bash/.bash_profile
UTF-8
1,266
2.515625
3
[]
no_license
[ -f "$HOME/.bashrc" ] && . "$HOME"/.bashrc [ -d "$HOME/.local/bin" ] && export PATH="$HOME/.local/bin:$PATH" [ -d "$HOME/.scripts" ] && export PATH="$HOME/.scripts:$PATH" [ -d /sbin ] && export PATH="/sbin:$PATH" [ -d /usr/sbin ] && export PATH="/usr/sbin:$PATH" export WM="bspwm" export EDITOR="nvim" export TERMINAL=...
true
c262a9f355813d3cf952b2f35a612db10bc6fad2
Shell
keto/handy-scripts
/bin/assh
UTF-8
911
3.875
4
[]
no_license
#!/bin/bash # Avahi ssh client script # # Replacement for bssh from avahi-utils # # Searches for available ssh services using avahi-browse and dispalys # selection dialog using zenity. All arguments are passed to ssh command. # # Environment variables: # ASSH_IPV - Define IP version to display # Default is "4", u...
true
1a0dbbb51a260119157e838c822ce2bde1ab0f8e
Shell
skmthomassen/projectOWL
/record/recordstreams.sh
UTF-8
1,689
3.6875
4
[]
no_license
#/bin/bash if [ $# -ne 1 ] ; then echo "ERROR: Please supply time to record" exit 10 fi TIME=$1 SEGTIME="600" SECONDS=0 IP0="192.168.0.200" IP1="192.168.0.201" IP2="192.168.0.202" IP3="192.168.0.203" IP2UP=1 IP3UP=1 AUDIOUP=1 SUF=$(head -n 1 $PWD/suffix) SUF=$(( $SUF + 1 )) echo $SUF > $PWD/suffix echo "---S...
true
094f2fe3acdcb8a79a42bc8ca93d8750dab3af9a
Shell
symphoniacloud/ccstar
/build.sh
UTF-8
616
3.34375
3
[ "Apache-2.0" ]
permissive
#!/bin/sh set -euo pipefail # Package Lambda source code # TODO - see if we can get sam build to do this nicely, e.g. with Makefile PACKAGE_DIR=".temp-deploy-package" TARGET_DIR="target" LAMBDA_ZIP_FILE="prod-lambda.zip" [ -d $PACKAGE_DIR ] && rm -rf $PACKAGE_DIR [ -d $TARGET_DIR ] && rm -rf $TARGET_DIR mkdir $PACKA...
true
15fafacd7762f91838d56c310a4bcf8ce4bf96ea
Shell
anLA7856/shell
/src/main/java/anla/shell/guessNum.sh
UTF-8
1,146
3.765625
4
[]
no_license
#!/bin/sh #一个猜数字游戏 total=0 export LANG="zh_CN.UTF=8" NUM=$((RANDOM%61)) echo "当前苹果的价格是没斤 $NUM 元" echo "==============================" usleep 1000000 clear echo '请问这苹果多少钱一斤?请猜0~60的数字' apple() { read -p "请输入价格:" PRICE expr $PRICE + 1 &>/dev/null if [ $? -ne 0 ];then echo "老哥,赶紧猜数字" apple ...
true
10be821396c233c857ee435565ce305ac52b1d94
Shell
delkyd/alfheim_linux-PKGBUILDS
/qhttpserver/PKGBUILD
UTF-8
788
2.578125
3
[]
no_license
# Maintainer: Thomas Wucher <arch@thomaswucher.de> pkgname=qhttpserver pkgver=r134.ca8f327 pkgrel=1 pkgdesc="A Qt HTTP Server - because hard-core programmers write web-apps in C++ :)" arch=('i686' 'x86_64' 'arm6h' 'arm7h') url="https://github.com/nikhilm/qhttpserver" license=('custom') groups=() depends=(qt5-base) make...
true
63891908e7a9425ed02cce998be4172fcb7a2ae4
Shell
robertord/Shell-scripts
/renameTVShows.sh
UTF-8
3,515
4.09375
4
[]
no_license
#!/bin/bash # File: changeDownloadasName.sh # Author: Roberto Rosende Dopazo # <roberto[dot]rosende[dot]dopazo[at]gmail[dot]com> # Script renames files *.avi or *.mkv inside a dir # it puts first name of dir to the file and then "clean" name if [ $# -lt 1 ]; then echo -e "\tUsag...
true
94538bdc9ebbe9ef8baad7c2c2f58bfc4a10bcc8
Shell
stokuvg/direct-type-ios
/switchApi.sh
UTF-8
756
2.515625
3
[]
no_license
#!/bin/bash echo 'サーバ側開発向けビルドに切り替えます' \cp -f ./_BuildMode/awsconfiguration_Api.json ./direct-type/awsconfiguration.json \cp -f ./_BuildMode/BuildMode_Api.swift ./direct-type/BuildMode.swift ##【api.json】はモデル定義が変わるとDevとRelで異なる可能性あり、切り替えるとビルドエラーの可能性あることに留意 \cp -f ./_BuildMode/api_Api.json ./api/api.json sh rebuildAll.sh ...
true